# Class CIM_LogicalDiskBasedOnVolumeSet
extends CIM_LogicalDiskBasedOnVolume

This association describes that LogicalDisks can be BasedOn a VolumeSet. However, there is no need for the specificity of this association. It is deprecated in lieu of the generic BasedOn relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BasedOn
|
+--CIM_LogicalDiskBasedOnExtent
|
+--CIM_LogicalDiskBasedOnVolume
|
+--CIM_LogicalDiskBasedOnVolumeSet

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_BasedOn
Description | string | This association describes that LogicalDisks can be BasedOn a VolumeSet. However, there is no need for the specificity of this association. It is deprecated in lieu of the generic BasedOn relationship.
UMLPackagePath | string | CIM::Device::SccExtents
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_LogicalDiskBasedOnVolumeSet | CIM_VolumeSet

### Propagated Association References

Name | Class Origin | Reference Class
--- | --- | ---

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
EndingAddress | uint64 | CIM_BasedOn
OrderIndex | uint16 | CIM_BasedOn
StartingAddress | uint64 | CIM_BasedOn

## Class Methods